blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
ec754d866d48a99a403cd44c1a7e056b9ec83089
Shell
retrohacker/pi-picture-frame
/downloadPictures.sh
UTF-8
884
4.03125
4
[]
no_license
#! /usr/bin/env bash URL=https://pictures.blankenship.io DEVICE=barbara function cleanup() { rm -rf "${INDEX}" } trap cleanup EXIT # Download the index of available pictures INDEX="$(mktemp /home/pi/picturesIndex-XXXX)" wget --output-document "${INDEX}" --header "Referer: ${DEVICE}.blankenship.io" "${URL}/index.csv...
true
7e659c1a1c4f0bb034c6c8c6c9998957b2332d86
Shell
chipster/chipster-tools
/setup/bundles/builds/aligners.bash
UTF-8
4,419
3.171875
3
[ "LicenseRef-scancode-unknown-license-reference", "MIT" ]
permissive
#!/bin/bash set -euo pipefail IFS=$'\n\t' source $(dirname "$0")/build-env.bash image="comp-20.04-r-deps" BUNDLE_COLLECTION_VERSION="" function finish { bash $BUNDLE_SCRIPTS_DIR/clean-up.bash $JOB_NAME $BUILD_NUMBER } trap finish EXIT bash $BUNDLE_SCRIPTS_DIR/start-pod.bash $JOB_NAME $BUILD_NUMBER $image \"$BUNDL...
true
2a116b30b881d43578dde05055879938b975323b
Shell
fogcitymarathoner/linkedin
/vidality_resume_service/convert2txt.sh
UTF-8
89
2.578125
3
[]
no_license
#!/bin/bash for file in *.pdf do b=`basename $file` pdf2txt.py $file > $b.txt done
true
a0f9d80d9bf831e12ea83d6077ce39414a2ca8ef
Shell
nxmatic/tod
/dbgrid/scripts/deploy.sh
UTF-8
284
2.53125
3
[]
no_license
#! /bin/sh deploy() { HOST=$1 DIR=$2 rsync -avz -e ssh\ --rsync-path '/usr/bin/rsync \ --server --daemon --config=$HOME/rsync.conf .'\ --exclude ".svn/"\ $DIR\ gpothier@$HOST::tod } #deploy syntagma.dim.uchile.cl "$*" || exit 10 deploy dichato "$*" || exit 11 exit 0
true
5ee6ba9aa62d7afd243f1d71e14c356586a5e3fe
Shell
Wissmo/9Hits-AutoInstall
/manage.sh
UTF-8
3,750
3.78125
4
[]
no_license
#!/bin/bash cd /root || exit green=$(tput setaf 2) reset=$(tput sgr0) if [[ $EUID -ne 0 ]]; then whiptail --title "ERROR" --msgbox "This script must be run as root" 8 78 exit else os=$(whiptail --title "What do you want to do?" --menu "Choose an option" 16 100 9 \ "1)" "Start" \ "2)" "Stop" \ "3)" "Modify s...
true
a55a8ae5c5cb43d983b08029aa746bcef52897b5
Shell
microsoft/ContextualSP
/logigan/corpus_construction/mlm_corpus/filter.sh
UTF-8
1,363
2.875
3
[ "MIT", "LicenseRef-scancode-generic-cla", "LicenseRef-scancode-proprietary-license", "LicenseRef-scancode-free-unknown", "LicenseRef-scancode-unknown-license-reference", "LGPL-2.1-or-later", "Apache-2.0", "LicenseRef-scancode-public-domain", "BSD-2-Clause" ]
permissive
indicator_type=$1 tmp_dir=./filter_${indicator_type} if [ -d ${tmp_dir} ] then rm -r ${tmp_dir} fi mkdir ${tmp_dir} if [ ${indicator_type} == premise ] then python filter.py --start_index 0 --end_index 500000 --indicator_type premise & python filter.py --start_index 500000 --end_index 1000000 ...
true
d3c86a46cb286069837514a96594f333b3d0bc90
Shell
Jooho/dotfiles_fedora
/install.sh
UTF-8
912
3.390625
3
[]
no_license
#!/bin/bash echo "Installing dotfiles" echo "Initializing submodule(s)" git submodule update --init --recursive source install/link.sh if [ "$(uname)" == "Darwin" ]; then echo "Running on OSX" echo "Brewing all the things" source install/brew.sh echo "Updating OSX settings" source installosx.s...
true
9b32f1546a591b1c8247c9169f3bd0c7d9827ca0
Shell
zouchao2010/litesight-xx
/run.sh
UTF-8
557
2.671875
3
[]
no_license
#!/usr/bin/env bash if [[ $TESTNET -eq 1 ]]; then echo testnet litecoind -rpcuser=liteuser -rpcpassword=litepass -server=1 -daemon=1 -txindex=1 -listen=1 -testnet sleep 10 INSIGHT_PORT=4001 INSIGHT_NETWORK=testnet npm start | tee -a testnet.log else echo livenet litecoind -rpcuser=liteuser -rpc...
true
fa16b3cad3f72db649998527112b2872579c511d
Shell
rsingh2083/scanner
/docker/build-all-base.sh
UTF-8
1,915
3.625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e NO_CACHE=false CORES=$(nproc) DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" for dir in $DIR/*/ do base=`basename ${dir%*/}` cp $DIR/../deps.sh $dir/deps.sh cp $DIR/../deps_openvino.sh $dir/deps_openvino.sh rm -rf $dir/thirdparty mkdir -p $dir/thirdparty cp -r $D...
true
0867337cc2722984d949143d6af282752b0638d0
Shell
doyke/avare
/extra/backend-scripts/parseweather/xmlweather.sh
UTF-8
1,049
3.625
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # get the list of files OUTDIR="./xml" HOST="https://aviationweather.gov/adds/dataserver_current/current" DESIGNATORS="aircraftreports metars airsigmets tafs" WEATHERFILE="./output/weather" WEATHERZIP="./weather.zip" # Lets get the first 15 files on the list mkdir $OUTDIR for f in $DESIGNATORS; do HO...
true
8b6d6f470432532f33f9850a713589fa1cabcbf9
Shell
Harry-repo/harrys2
/loops.sh
UTF-8
210
2.796875
3
[]
no_license
#!/bin/bash for var in 1 2 3 4 5 do for var2 in 0 5 6 do if [ $var == 1 -a $var2 == 5 ];then break 2 else echo " $var and $var2" fi done done echo "-----eos----"
true
85c4dfce83776c630d10aa6b4bfbe96dfad20253
Shell
JaidenCook/300-MHz-Pipeline-Scripts
/selfcal.sh
UTF-8
8,139
3.671875
4
[]
no_license
#!/bin/bash start_time=`date +%s` # Set default values for optional parameters mwapath="/home/jaidencook/.local/lib/python2.7/site-packages/mwa_pb/data/" threshold=0.95 flag=yes pipecond=no selfcal=yes # Read the options TEMP=`getopt -o a:b:c:d:e: --long input_dir:,output_dir:,obsid_list:,chan:,pipecond: -- "$@"` ev...
true
d576893027e643da19156c1fd5221c13436c3e69
Shell
betrybe/cypress-evaluator-action
/entrypoint.sh
UTF-8
710
3.078125
3
[]
no_license
#!/bin/bash set -x RUN_NPM_START=$1 CYPRESS_HEADLESS=$2 CYPRESS_BROWSER=$3 export CY_CLI=true npm install if $RUN_NPM_START ; then npm start & # Open server in background npx wait-on -t 300000 $wait_for_url # wait for server until timeout fi headless_flag='' if $CYPRESS_HEADLESS ; then headless_flag="--headl...
true
dc948a3fd92d0c78e7d7f03b206299aa91f8c2dc
Shell
MiningMarsh/config.puppet
/modules/zfs/templates/remove-bad-snapshots.erb
UTF-8
461
3.28125
3
[]
no_license
#!/usr/bin/env zsh # This file is managed by puppet. # This file will remove snapshots supported by zfs-auto-snapshot if the dataset # is no longer marked as needing them. if ! which zfs > /dev/null 2>&1; then exit fi for dataset in $(zfs list -H -o name); do if [[ "$(zfs get com.sun:auto-snapshot $dataset -H -o va...
true
39389c7c714208f1523a8673d37c22e341e5b2ee
Shell
PazhaniMurugesan/Scripts-collection
/linux/gunzip.sh
UTF-8
64
2.75
3
[]
no_license
for f in *.gz ; do gunzip -c "$f" > ../folder2/"${f%.*}" ; done
true
d249565cf36b0b9920548b80b4bd73a3e6aef4cc
Shell
gl3n0n/Multichannel
/protected/crontab/start_cron_schedpost.sh
UTF-8
1,316
3.015625
3
[]
no_license
#!/bin/bash ########################################################### # Filename: # # Desc : # # Date : 2015-04-02 # # # By : bayugitus # # ########################################################### umask 002 ########################################################### # FUNCTIONS #####################...
true
8599b654a12fcf37070a1e65492ca750abc8903f
Shell
doitian/dotfiles-public
/default/bin/m-out-of-n-split.sh
UTF-8
509
3.859375
4
[]
no_license
#!/bin/bash if (("$#" != 3)); then echo "Usage: m-out-of-n-split.sh m n file" fi m="$1" n="$2" pieces=$((n - m + 1)) file="$3" lineno=1 padding=" " head=1 for id in $(seq $n); do if [ -f "$file.$id" ]; then echo "$file.$id already exists" >&2 exit 127 fi done while IFS= read -r line; do if ((lineno ...
true
c7cd09bbec17aaf3a806bd3a3c0acc36754c18d9
Shell
thousandeyes/appd-integration-reference
/custom-monitor-image/build/thousandeyes-monitor/startup.sh
UTF-8
3,481
3.21875
3
[ "MIT" ]
permissive
#!/bin/bash GREEN='\033[92m' BLUE='\033[96m' YELLOW='\033[93m' GREY='\033[37m' CLEAR='\033[90m' # Sample Docker start script for the AppDynamics Standalone Machine Agent # See the AppDynamics Product Docs (Standalone Machine Agent Configuration Reference) # Environment variables are passed to the container at runtime ...
true
0bdde7990baff8097b8473f43169ab4fe13b93e6
Shell
freemed/asterisk-reporting
/salesdisplay-gwt/SalesDisplay-shell
UTF-8
385
2.65625
3
[]
no_license
#!/bin/sh APPDIR=`dirname $0`; CP="$APPDIR/src:$APPDIR/bin:/opt/gwt/gwt-user.jar:/opt/gwt/gwt-dev-linux.jar:/usr/lib/gwt/gwt-user.jar:/usr/lib/gwt/gwt-dev-linux.jar" for JAR in war/WEB-INF/lib/*.jar; do CP="${CP}:$APPDIR/lib/$(basename "$JAR")" done java -Xmx256M -cp "$CP" com.google.gwt.dev.HostedMode -out "$APPDIR/...
true
bae177de3289826112653cac61506f97a01f1cc0
Shell
Vinapo/OTNSkills
/deploy.sh
UTF-8
1,048
2.75
3
[]
no_license
#!/bin/bash rm -r packages rm packages.zip pip install -r requirements.txt --target ./packages if [ -d packages ]; then cd packages mkdir apis mkdir adapters mkdir data cp ../*.py . cp ../adapters/* adapters cp ../apis/* apis cp ../data/* data cp ../production.ini . find . -name "tests.py" -delete f...
true
d02c84bb35dddd23eb13ba5cfa76634dfb5ab819
Shell
ivapanic/skrj-2019-2020
/LAB1/zadatak5.sh
UTF-8
210
3.34375
3
[]
no_license
#!/bin/bash echo $1 echo $2 if [ $# -ne 2 ] ; then echo "Unesite kazalo i zeljeni oblik imena" else ime_direktorija=$1 ime_datoteka=$2 cd $ime_direktorija find . -name "$ime_datoteka" | xargs wc -l fi
true
4a0f5f2b35e24376cbcdcf86f5725c5cf3de7aee
Shell
sean-jc/settings
/bin/l2h
UTF-8
433
3.296875
3
[]
no_license
#!/bin/bash function pushd() { command pushd "$@" > /dev/null } function popd() { command popd "$@" > /dev/null } set -e pushd ~/go/src/kernel.org/linux patch=$(git diff --no-prefix) rev=$(git rev-parse HEAD) popd pushd ~/go/src/kernel.org/host hrev=$(git rev-parse HEAD) if [[ $rev != $hrev ]]; then print...
true
c9fe642912d9337a56905cf8349089b71ff293d6
Shell
vandalt/dotfiles-archive
/.config/i3/scripts/podcast
UTF-8
311
3
3
[]
no_license
#!/bin/bash pod_print() { meta="$(playerctl metadata 2>/dev/null)" if echo $meta | grep -q 'cumulonimbus'; then show="$(playerctl metadata artist 2>/dev/null)" echo "$show" fi } # Left click if [[ "${BLOCK_BUTTON}" -eq 1 ]]; then playerctl play-pause 2>/dev/null fi pod_print
true
5958e5a8d01e061c429d9e1bfdb72e440fe01f2d
Shell
opentracing-contrib/nginx-opentracing
/ci/install_opentracing.sh
UTF-8
335
2.8125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e [ -z "${OPENTRACING_VERSION}" ] && export OPENTRACING_VERSION="v1.6.0" # Build OpenTracing cd / git clone -b ${OPENTRACING_VERSION} https://github.com/opentracing/opentracing-cpp.git cd opentracing-cpp mkdir .build && cd .build cmake \ -DBUILD_MOCKTRACER=OFF \ -DBUILD_TESTING=OFF \ .. make &...
true
a7c5756f4d3b05f033e0be0f054a5f6ef5e23081
Shell
dmitry-ti/twitch-download
/twitch-stream-download.sh
UTF-8
2,707
3.890625
4
[]
no_license
#!/bin/bash CLIENT_ID="jzkbprff40iqj646a697cyrvl0zt2m6" OUTPUT_PLAYLIST="output.m3u8" getAccess() { local channel="$1" local clientId="$2" curl "https://api.twitch.tv/api/channels/$channel/access_token?client_id=$clientId" 2> /dev/null } getMasterPlaylist() { local channel="$1" local token="$2" local sig...
true
1329f337386f630f1f0f2aefaa24d13451bf48b8
Shell
abidmunirmalik/shell-scripts
/case.sh
UTF-8
1,214
4.125
4
[]
no_license
#!/usr/bin/env bash # : """ Syntax of Case: case $variable in option1) statement ;; option2) statement ;; *) statement ;; esac """ # Exercise: Guess number read -p "Enter number between 1 - 5: " n case $n in 1) ech...
true
c183c72286bb9c081ba2532784477c1deff08b41
Shell
lskatz/file-tracker
/scripts/ce_addFile.sh
UTF-8
1,647
4.25
4
[ "MIT" ]
permissive
#!/bin/bash set -e db=$1; shift paths=$@ set -u if [ "$paths" == "" ]; then echo "Adds a file to the CE database. The file should already be in the CE." echo "Usage: $0 database.sqlite path/to/file.fastq.gz [second/path/file.fastq.gz...]" exit 0 fi # Make all directories first to help with directory foreign ...
true
d27dcc39bada33ebfa295279beb79eb78ba60997
Shell
zanud/xds-2.60
/build/cUnix/build.sh
UTF-8
705
3.3125
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash report() { if test $1 -gt 0; then echo $2 build failed; else echo $2 build ok; fi } setAttrs() { find ./enduser/ -type f -not -iname '*\.*' -exec dos2unix '{}' \; find ./enduser/ -type f -iname '*\.*' -exec chmod 664 '{}' \; find ./enduser/ -type f -not -...
true
cf689e5306cf78e1f8509c057a9446bcb041f3e0
Shell
palladius/pasta
/.vecchiume/docker-experiments/20201226-ruby18/install-random-docker.sh
UTF-8
854
3.484375
3
[]
no_license
#!/bin/bash ACTION=${1:-_NO_ACTION_} UGLY_TARGET=${2:-NO_TARGET} # eg Dockerfile.ruby18-[build|run] TARGET=$(echo $UGLY_TARGET | cut -d . -f 2 | sed -e s/-build// | sed -e s/-run// ) # -> ruby18 echo "Hi from: $0. Args: $*" | lolcat echo "ACTION: $ACTION. Target: $TARGET" | lolcat if [ "build" = "$ACTION" ]; then ...
true
f647eea5df308e35a43ce6a1d59864c67c4c440f
Shell
austinkelleher/marko-snackbars
/jshint.sh
UTF-8
176
2.5625
3
[]
no_license
echo "Running jshint..." ./node_modules/.bin/jshint --exclude-path .jshintignore . if [ $? != 0 ]; then echo "Found JSHINT Errors" exit 1 fi echo "No JSHINT errors"
true
7af14781cb78cbb84334ef3af5a5b80d952fab9a
Shell
zhangxiang-planet/GLEAM-X-pipeline
/bin/autoflag.tmpl
UTF-8
1,441
2.8125
3
[]
no_license
#! /bin/bash -l #SBATCH --export=NONE #SBATCH -M HOST #SBATCH -p workq #SBATCH --account=ACCOUNT #SBATCH --time=01:00:00 #SBATCH --nodes=1 TASKLINE function test_fail { if [[ $1 != 0 ]] then track_task.py fail --jobid=${SLURM_JOBID} --taskid=1 --finish_time=`date +%s` exit $1 fi } # start track_task.py start ...
true
26fb8b510c3292d7512fd14abff585bf811cdac3
Shell
acapello/PLN-2015
/tagging/scripts/train_all_models.sh
UTF-8
2,910
2.578125
3
[]
no_license
#! /usr/bin/bash # You must be in the virtualenv ($ workon pln-2015) to run this script SCRIPT_DIR="$(dirname $0)" mkdir $SCRIPT_DIR/../models M=$SCRIPT_DIR/../models # ORIGINAL_DIR="$(pwd)" echo -n > $M/train_output.txt echo "Redirecting output to $M/train_output.txt" echo "Working..." echo "Training base..." { ti...
true
0e139b9975885ad46178d336de1bb429cf26f590
Shell
Blackfynn/blackfynn-matlab
/setup/setup.sh
UTF-8
708
3.296875
3
[ "MIT", "Apache-2.0" ]
permissive
#!/bin/bash BUILD_DIR="build" MATLAB_LOC="matlab" # Uncomment and edit line below if building toolbox on local machine #MATLAB_LOC="/Applications/MATLAB_R2017b.app/bin/matlab" [ -d $BUILD_DIR ] || mkdir ${BUILD_DIR} echo "Copying jars..." javac -cp ../java/protobuf-java-3.5.1.jar ../java/*.java -d . -source 1.8 -ta...
true
8a5fae194a2f8260bd5e7ad465222af47789ee4a
Shell
mikeg2105/matlab-old
/matlab/dctcourse/ex4_parmatlab_transport/sendc/mpi.sh
UTF-8
1,062
2.515625
3
[]
no_license
#!/bin/bash # # # Set the name of the job (optional) #$ -N MPI_Job # # parallel environment request - Edit the following line to change the number of processors that you wish to use #$ -pe openmpi-gnu-ether 1 #$ -P parmatlab # # You must request the parallel queue as below along with request the mpich-gm parallel e...
true
6c39729e13ecde2be04139a10cbf4be0455eaddf
Shell
necrose99/alpine-arm64
/hooks/push.old
UTF-8
392
2.640625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash VERSION=$(cat VERSION) echo "Tagging and pushing..." docker tag $DOCKER_REPO:3.6-$VERSION $DOCKER_REPO:latest docker tag $DOCKER_REPO:3.6-$VERSION $DOCKER_REPO:3.6 docker tag $DOCKER_REPO:3.5-$VERSION $DOCKER_REPO:3.5 docker push $DOCKER_REPO docker push $DOCKER_REPO:3.6-$VERSION docker push $DOCKER_REPO...
true
1540122c58655499c007762ff6be4651dd3989ca
Shell
utooley/motion-FC-metrics
/transfer_HCP_movementData.sh
UTF-8
629
2.78125
3
[]
no_license
#!/bin/bash/ task=rfMRI_REST2_RL; mkdir /Users/ArunMahadevan/Documents/hcp_Max/Motion_S1200/$task ARRAY=( $(tail -n +2 /Users/ArunMahadevan/Documents/hcp_Max/Covariates/S1200_Release_Subjects_Demographics.csv | cut -d , -f1)) for SUB in ${ARRAY[@]} do cp /Users/ArunMahadevan/.CMVolumes/asm7/HCP_1200/$SUB/MNINonLine...
true
23cdecb2469c4d7ce6d56957b39aaab162b88029
Shell
mehulsbhatt/rpm-mesos
/mesos-master
UTF-8
1,078
4
4
[]
no_license
#!/bin/bash # # /etc/init.d/mesos-master # # Startup script for mesos-master # # chkconfig: 2345 20 80 # description: Starts and stops mesos-master . /etc/init.d/functions prog="mesos-master" mesosBin="/usr/sbin/$prog" desc="Mesos Master daemon" outFile="/var/log/mesos/$prog.out" if ! [ -f $mesosBin ]; then echo "...
true
c23c9529e52353d65e53a6d9e9a3987a7a24e917
Shell
vriveraq/introduction-to-data-science
/Homework8.sh
UTF-8
4,711
3.640625
4
[]
no_license
# GOAL: Learn basic commands of UNIX/ Linux #!/bin/bash # You can use the following commands to run the script on google cloud: # chmod +x HW8_490IDS_YOURCLASSID.sh # ./HW8_490IDS_YOURCLASSID.sh Argument_1 Argument_2 Argument_3 Argument_4 # ./HW8_490IDS_solution.sh 4 Homework_8.txt make 3 # Here is a list of your inp...
true
e165a1272c5cfc8bafbaf5c3016cd838fda61d17
Shell
vlad17/misc
/remotebuild/remote-build.sh
UTF-8
3,346
3.96875
4
[]
no_license
#!/bin/bash # # Script run on the dev workstation to ship your repo # to the remote build. HELP_SCREEN="Options are: --debug regular debug build* --release regular release build* --tsan debug build with thread sanitizer* --asan debug build with address saniti...
true
99fe59bcd6740befa33796aad249ae68e44deeb8
Shell
chayan7/FlaGsV1.2.7
/build.sh
UTF-8
1,473
3.921875
4
[ "MIT" ]
permissive
#!/bin/sh unset DYLD_LIBRARY_PATH if ! echo "$0" | grep '\.sh$' > /dev/null; then printf 'Please run using "bash" or "sh", but not "." or "source"\\n' >&2 return 1 fi conv="$(conda -V 2>&1)" printf "$conv" condaExec="$(echo "$conv" | grep 'not' >&1)" if [ "$condaExec" != "" ];then printf "\\nPlease instal...
true
c0a925c31684126cff8d13f93b99174d6ed3aa26
Shell
MobileMedTek/wercker-step-tick-version
/run.sh
UTF-8
1,136
3.828125
4
[ "MIT" ]
permissive
#!/bin/sh validate_dependencies() { if [ ! -e /usr/bin/git ]; then echo "git not installed" fi if [ ! -e /usr/bin/npm ]; then echo "npm not installed" fi if [ ! -d ".git" ]; then echo "No git repository found" fi } validate_token(){ if [ -z $WERCKER_TICK_VERSION_T...
true
20e8ebeaf340bd3c5e36650e65c0a567106bd1c4
Shell
SKroell/rsync-deploy-action
/entrypoint.sh
UTF-8
345
3.125
3
[ "MIT" ]
permissive
#!/bin/sh # Run in strict mode set -eu # Set deploy key SSH_PATH="$HOME/.ssh" mkdir -p "$SSH_PATH" echo "$DEPLOY_KEY" > "$SSH_PATH/deploy_key" chmod 600 "$SSH_PATH/deploy_key" # RSYNC Deployment sh -c "rsync ${INPUT_RSYNC_ARGS} -e 'ssh -i $SSH_PATH/deploy_key -o StrictHostKeyChecking=no' $GITHUB_WORKSPACE/ ${INPUT_U...
true
e1c18df3f0856eff569af857c76a1c4e810a17cf
Shell
csparker247/batchSegmenter
/batchSegmenter.sh
UTF-8
2,422
3.78125
4
[]
no_license
#!/bin/sh #batchSegmenter - Batch clipping videos with common start and end frames echo echo "=======================================================================" echo "batchSegmenter - Batch clipping videos with common start and end frames" echo "====================================================================...
true
4c9449a629c82c86545d3bb57262007c209a7f4a
Shell
UlybinVitaliy/Diktofon
/tools/make_icons.bash
UTF-8
2,223
3.21875
3
[ "Apache-2.0" ]
permissive
# Bash script that creates Android icons (png) of different sizes # from a single input SVG file. # # Icon name prefixes determine the type (and the size) of the icon. # # Icons: ic: ic_star.png # Launcher icons: ic_launcher: ic_launcher_calendar.png # Menu icons: ic_menu: ic_menu_archive.png # Status bar icons: ic_sta...
true
6c10df90c594fe4479610380727cb20e51c20f8e
Shell
numb2007/tssh-1
/bin/tssh-setup
UTF-8
2,465
4.28125
4
[ "MIT" ]
permissive
#!/bin/bash # Copyright 2012 Derek Ashley Thomas SERV=$HOME/.tsshrc # setup safe exit trap 'killListener' EXIT tmp=$(mktemp -t $(basename $0).XXX) killListener() { if [[ $count -gt 0 ]] ; then echo echo echo "$(basename $0):$count servers added" rm $tmp > /dev/null fi } # fu...
true
5c5dbd83628442235ae5c5399b9747a7828735b1
Shell
theposey/vim
/update_all.sh
UTF-8
537
3.265625
3
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" if [ "$1" != "" ]; then j=$(realpath $DIR/$1) $(find $j -name "*.c" -o -name "*.cpp" -o -name "*.h" > $j/cscope.files) $(ctags -L $j/cscope.files -o $j/tags --extra=+f) $(cd $j && cscope -b -q -k) else for i in $( ls -d $DIR/*/ );...
true
d0ff97855f1e05ff25438b6e48e1645d237a17ed
Shell
joeladam518/dotfiles
/tmux/right-status.sh
UTF-8
1,377
3.21875
3
[ "MIT" ]
permissive
#!/bin/bash # status-right: # #[fg=colour235,bg=colour235,nobold,nounderscore,noitalics]#[fg=colour121,bg=colour235] %r  %a  %Y # #[fg=colour238,bg=colour235,nobold,nounderscore,noitalics]#[fg=colour222,bg=colour238] #H # #[fg=colour154,bg=colour238,nobold,nounderscore,noitalics]#[fg=colour232,bg=colour154] #(rai...
true
1b8f85b4b76e657077615249f6d8e4f645aeb918
Shell
UMM-CSci-3403-Fall-2017/lab-4-c-system-calls-brianshawnandthatsit
/summarize_tree/summarize_tree.sh
UTF-8
323
3.703125
4
[ "MIT" ]
permissive
#!/bin/bash #take input and save a directory dir=$1 #go to the path cd $dir #get the number of regular files num_regular=$(find . -type f | wc -l) #get the numeber of directories num_dirs=$(find . -type d | wc -l) #print out the result echo "There were $num_dirs directories." echo "There were $num_regular regular files...
true
178db6d07da9821e410218c37424760e37cfc95a
Shell
camitr/instant-script
/instant-script/directry.sh
UTF-8
221
3.4375
3
[]
no_license
#!/bin/bash if [ -d "$1" ] then search=$1 echo "name of directory is $1 and it exists " cd $1 echo "type the name of directory to create " read name mkdir $name else echo "Directory not found" fi
true
a50719e09e6f21e3f540ec0edfc949a56931bf35
Shell
damonwang2/LinuxPractice
/for3.sh
UTF-8
147
3.25
3
[]
no_license
#!/bin/bash #计算1到100的值,然后输出结果 s=0 for((i=1; i <= 100; i = i+1)) do #用$[]表示数值运算 s=$[ $s + $i ] done echo $s
true
0ef0e5032fa94f3bce9e4130dc093d00f023b823
Shell
eramon-gmbh/js-docker
/buildWARFileInstaller/build-WAR-file-installer.sh
UTF-8
357
2.578125
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh ANT_OPTS="-Xms128m -Xmx512m -Djava.net.preferIPv4Stack=true" # # setup to use bundled of ant # ANT_HOME=./apache-ant export ANT_HOME ANT_RUN=$ANT_HOME/bin/ant export ANT_RUN PATH=$ANT_HOME/bin:$PATH export PATH # # Collect the command line args # CMD_LINE_ARGS=$* $ANT_RUN --noconfig -nouserlib -f build...
true
a69df5dd6cfdf719380fcfba798bf4dc659fe262
Shell
moeraj/romstools
/create_tides_ROMS/make_tides.sh
UTF-8
1,801
2.921875
3
[ "MIT" ]
permissive
#!/bin/bash # #-------------------------------------- # Make file with tidal forcing for ROMS #-------------------------------------- # # Start and end period for simulation syear=1980; eyear=2017 # Input files gridfile=/Users/trondkr/Dropbox/NIVA/ROHO800/Grid/ROHO800_grid.nc # Name of app APPNAME=ROHO800 # cd Tpxo...
true
41d29a57a6d8a6a889d8bbef8cb38b97b4206598
Shell
asahib/HabenulaAnalysis
/Segmentation/3-AverageTPs_HbprobSeg2_JL.sh
UTF-8
3,503
3.265625
3
[ "MIT" ]
permissive
if [[ ${HCPPIPEDEBUG} == "true" ]]; then set -x fi ############################################################################# get_batch_options() { local arguments=("$@") unset command_line_specified_study_folder unset command_line_specified_subj unset command_line_specified_run_local local index=0 ...
true
3fb616930dcf5667e7275b9099729e5a5f693662
Shell
tavolivos/Download-multiple-sequencesfrom-NCBI-
/genome.sh
UTF-8
447
2.90625
3
[]
no_license
#This is a bash-script to download multiple sequences from NCBI #Writen by Gustavo Olivos (tavolivos@gmail.com) #Replace the genus here i=genus #pip install ncbi-genome-download i="Anabaena" ncbi-genome-download --format fasta --genus $i bacteria mv refseq/bacteria/GCF_* . && rm -r refseq for d in GCF*/; do cd $d ...
true
122f99d7432f97c7c900655c8647f0464d1afac1
Shell
PiotrLuniov/Zabbix
/01/zabbix01.sh
UTF-8
1,162
3.0625
3
[]
no_license
#!/bin/bash ZABBIX_CONF="/etc/zabbix/zabbix_server.conf" yum -y install vim mc net-tools yum -y install mariadb mariadb-server /usr/bin/mysql_install_db --user=mysql systemctl start mariadb mysql -uroot<<EOM create database zabbix character set utf8 collate utf8_bin; grant all privileges on zabbix.* to zabbix@localho...
true
17d1a251957dd0b2897de10bb3f160e861568c49
Shell
wenchaomeng/db_related
/redisconf/utils/sentinels.sh
UTF-8
1,087
3.203125
3
[]
no_license
function count(){ while read line do ip=`echo $line | awk '{print $1}'` port=`echo $line | awk '{print $2}'` count=`redis-cli -h $ip -p $port sentinel masters | egrep "\+" | wc -l` echo =====process sentinel $ip $port "sentinel count:" $count done < $1 } function command(){ while read line do ip=`echo ...
true
9d080ececb0f2e4c9b14c165bb6e380b0b8dd859
Shell
j-mir-prazak/mk3
/linaro/startup.sh
UTF-8
2,921
3.21875
3
[]
no_license
#!/bin/bash path=$(dirname $0) log="/home/pi" sudo chmod 0777 -R /home/* sudo chmod +x -R /etc/network/* sudo rm "$log"/dhcp.status sudo systemctl stop systemd-timesyncd.service sudo systemctl disable systemd-timesyncd.service sudo service systemd-timesyncd stop sudo service hwclock.sh stop sudo date --s "08:00...
true
d4ff331ebe81acf544c10550656f306c90e9ad51
Shell
studiorak/bacula_ctl
/generate-bacula-conf
UTF-8
174
2.6875
3
[]
no_license
#!/usr/bin/env bash # set -o xtrace MYSED=$(which sed) NAME=$1 TEMPLATE=$2 SERVICE=$3 ${MYSED} "s/<machine>/${NAME}/g" "${TEMPLATE}" >> "cust_${NAME}-${SERVICE}-all.conf"
true
47aedd14f943105f4f68cb75274965e5255a0b04
Shell
JeffersonLab/remoll_solid
/macros/submit_xml_jobs.sh
UTF-8
144
2.59375
3
[]
no_license
#!/bin/bash # Authors : Rakitha Beminiwattha # Tue Jan 7 15:01:14 EST 2014 echo -e "received arguments >$*<" echo " Submitting jobs for runs "$1" to "$2
true
ecf7a8ef6c7a4d18d444381fa1907fafc00ee36b
Shell
greymd/ttcopy
/bin/ttcopy
UTF-8
1,741
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash # Portable and reliable way to get the PARENT directory of this script. # (Note to `cd` before `pwd`) # Based on http://stackoverflow.com/a/246128 # then added zsh support from http://stackoverflow.com/a/23259585 . _TTCP_DIR="$(cd "$(dirname "${BASH_SOURCE[0]:-${(%):-%N}}")"; cd ..; pwd)" source "$_TTCP_DI...
true
06621bc6fb0e61b0dd361daf624a4f4a8dc8eb33
Shell
peteyWheatstraw/raspberry_master_bash
/scripts/rmb_menu_loadScript.sh
UTF-8
1,910
3.484375
3
[]
no_license
rmb_menu_loadScript_INIT=0 function rmb_menu_loadScript(){ if [[ "$rmb_menu_loadScript_INIT" -eq 0 ]]; then rmb_findScripts # echo "INITIALIZING" declare -a foundScripts=("${rmb_findScripts_RETURN[@]}") declare -a ls_key=() declare -a ls_func=() declare -a ls_label=() local scriptFound="" local scr...
true
f58ef364d6d5f1a1a438aed42f85f776e562f19f
Shell
jeromepin/dotfiles
/bashrc.d/10_env.sh
UTF-8
920
2.9375
3
[]
no_license
#!/usr/bin/env bash export TERM=screen-256color if [ -z "$SSH_AUTH_SOCK" ] ; then eval `ssh-agent -s` ssh-add fi export BAT_PAGER='less -R' export PAGER=most export HISTSIZE=2000 export HISTCONTROL=ignoreboth:erasedups:ignorespace export FZF_DEFAULT_COMMAND='fd --follow --exclude .git' export GOPATH=$HOME/go expo...
true
368b23f4ddb145e38b8b80d08ffff44f80796000
Shell
dgist-datalab/exp_parser
/bash_parser/ssd_io_parser.sh
UTF-8
4,534
3.40625
3
[]
no_license
#!/bin/bash if [ $# != "2" ]; then echo"[usage] :$0 [src_directory] [des_directory]" exit fi target_fs=("ext4_data_journal" "ext4_metadata_journal" "f2fs" "xfs" "btrfs") micro_bench_list=("copyfiles_16_gamma_fuse.f" "filemicro_createfiles_16_fuse.f" "filemicro_delete_16_fuse.f" "makedirs_16_fuse.f" "removedirs_16_f...
true
48a9cd97cdc66371fa9439b8c9ca18c44f83fb1e
Shell
henryqin1997/verdict
/bin/verdict-shell
UTF-8
426
2.6875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # veeline - script to launch Verdict's command line interface BINPATH=$(dirname $0) JAR_DIR=$BINPATH/../jars JDBC_DIR=$BINPATH/../jdbc_jars VERSION=0.4.7 #JDBC_JAR=$JAR_DIR/verdict-jdbc-$VERSION.jar #VEELINE_JAR=$JAR_DIR/verdict-shell-$VERSION.jar verbose=true java -cp "$JAR_DIR/*:$JDBC_DIR/*" \ -Dlo...
true
32bc2081bc6d2fca0cb352e100291ae68444d603
Shell
kawamanza/home_files
/sh/who_holds
UTF-8
105
2.953125
3
[]
no_license
#!/usr/bin/env bash if [ "$1" == "" ]; then echo "missing port number" else lsof -w -n -i tcp:$1 fi
true
fdd6d4a52648f64a4a887e06daf452f399ee506b
Shell
ggear/asystem
/src/net/udmutilities/install_post.sh
UTF-8
3,208
2.9375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh SERVICE_HOME=/home/asystem/${SERVICE_NAME}/${SERVICE_VERSION_ABSOLUTE} SERVICE_INSTALL=/var/lib/asystem/install/${SERVICE_NAME}/${SERVICE_VERSION_ABSOLUTE} add_on_boot_script() { [ ! -f "/mnt/data/on_boot.d/${1}.sh" ] && [ -d "/var/lib/asystem/install" ] && [ -f "/var/lib/asystem/install/*udm-net*...
true
196f15d9867f15e7a8a015d5c6e8af7e324fb31e
Shell
lalitsharma16/terraform
/terraform_installation.sh
UTF-8
1,740
3.625
4
[]
no_license
#!/bin/bash terraform_home="/usr/local/bin" terraform_file="terraform_0.12.23_linux_amd64.zip" terragrunt_file="terragrunt_linux_amd64" function terraform_install() { [[ -f ${terraform_home}/terraform ]] && echo "`${terraform_home}/terraform version` already installed at ${terraform_home}/terraform" && return 0 LAT...
true
e806b916cf080aa37b1576714f32574fdfd220dd
Shell
jmoody/ljsj-utils
/ljsj-utils/scripts/deploy-aw-and-wayang.sh
UTF-8
47,359
3.15625
3
[]
no_license
#!/bin/sh ######################################################################## # WARNING: do not execute this as root or with sudo # instead execute as a user with sudo privileges # and provide your pass when prompted ######################################################################## ### --...
true
c834b9b2d658bd2844a36dda8ce027f64a74cf13
Shell
shamizi/ft_server
/srcs/start.sh
UTF-8
1,370
2.734375
3
[]
no_license
mkdir /var/www/localhost #mySQL service mysql start echo "CREATE DATABASE wordpress DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;" | mysql -u root echo "GRANT ALL ON wordpress.* TO 'wordpress_user'@'localhost' IDENTIFIED BY 'password';" | mysql -u root echo "FLUSH PRIVILEGES;" | mysql -u root #CERTIFICAT SSL ...
true
7d1c80f5e46d2507918fc19ab122fddfd750f538
Shell
jumski/old-dotfiles
/bin/worklog-path
UTF-8
333
3.328125
3
[]
no_license
#!/bin/bash project_name=$(basename `pwd`) date=`date +"%Y-%m-%d"` if [ -n "$1" ]; then date="$1" if [ -n "$2" ]; then project_name="$1" date="$2" fi fi worklogs_dir=~/Dropbox/monk-shared/worklog/$project_name mkdir -p $worklogs_dir worklog_path=$worklogs_dir/${date}.txt touch $worklog_path echo $...
true
5deff34a2c26a719f4b6acdf3e4882c3c564a840
Shell
qaisar7/scripts
/logout.sh
UTF-8
181
2.8125
3
[]
no_license
#!/bin/bash echo " $(date) $1 logging out" myPID=$(echo "$pID" | grep ^"$$") # PID of this program pgrep lock-screen | xargs kill -9 pgrep -u $1 | grep -v myPID | xargs kill -9
true
871a655351435dc52e5e9671e84224c776b39616
Shell
dueyfinster/mail-sync
/scripts/sync-fastmail-to-gmail.sh
UTF-8
573
2.765625
3
[]
no_license
#!/bin/bash # See: http://imapsync.lamiral.info/FAQ.d/FAQ.Gmail.txt IMAP_SYNC="/usr/bin/imapsync" HOST1="mail.messagingengine.com" HOST2="imap.gmail.com" $IMAP_SYNC \ --host1 $HOST1 --user1 $USER1 --password1 $PASS1 -ssl1 \ --host2 $HOST2 --user2 $USER2 --password2 $PASS2 -ssl2 \ --f1f2 "INBOX.Archive"="[Gmail]/All Ma...
true
79caefbf1c5fd458165f6af8b0303b61f19d814b
Shell
tkusmierczyk/multiple_regression_lda
/src/postprocessing/export_from_samples.sh
UTF-8
1,224
3.578125
4
[]
no_license
#!/bin/sh echo "EXPORTS TOPICS AND LM-WEIGHTS FROM JAGS SAMPLES (*.RData)" echo "ARGS: INPUT DIRECTORY, WORDS FILE, MAX NUM PROCESSES" ###################################################################### if [ ! -z "$1" ]; then INPUT=$1 else echo "ARG REQUIRED: DIRECTORY WITH *samples*RData FILES" exit...
true
c487f82eb455a0f60f6146bf449829afa3e2b380
Shell
tylerlthompson/PyKotaWebAdmin
/configs/pykotlisten.init
UTF-8
1,185
3.765625
4
[]
no_license
#!/bin/bash ### BEGIN INIT INFO # Provides: PyKota Listener # Required-Start: $local_fs $network $named $time $syslog # Required-Stop: $local_fs $network $named $time $syslog # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: PyKota Account Balance Lookup # Description: ...
true
859dadfcbc57f559f67a96f2db7ac395352d9c8d
Shell
qhdong/base-ci
/update_repo.sh
UTF-8
977
3.796875
4
[]
no_license
#!/bin/bash source run_or_fail.sh # delete the old .commit_id rm -f .commit_id run_or_fail "Repository folder not found!" pushd $1 1> /dev/null run_or_fail "Could not reset git" git reset --hard HEAD # call git log and parse the output, find most recent commit ID COMMIT=$(run_or_fail "Could not call 'git log' on re...
true
dc4413c6860bee4e27d3a17851bbb2e05eea11d9
Shell
ryanwohara/migrate_pantheon
/tests/circle/configure-migrations.sh
UTF-8
1,394
2.71875
3
[]
no_license
#!/bin/bash # Set the source database connection info in a secrets file where it can be # read by settings.migrate-on-pantheon.php export D7_MYSQL_URL=$(terminus site connection-info --site=$PANTHEON_D7_SITE --env=$PANTHEON_D7_BRANCH --field=mysql_url) terminus secrets set migrate_source_db__url $D7_MYSQL_URL export ...
true
3d24b5bed065afac750b21fb1fcc4ac4a7b3b223
Shell
Nobgul/shell-scripts-1
/clock/clock.sh
UTF-8
2,393
3.671875
4
[]
no_license
#! /bin/bash # Fri 25 Feb 2011 15:06:43 IRST (+0330) # -b flag depends on beep.sh for beeping # This is bloody awesome: # while sleep 1;do tput sc;tput cup 0 $(($(tput cols)-29));date;tput rc;done & # (from commandlinefu.com by flatcap?) ## Get options: IS_SILENT="true" while getopts 'u:t:d:hs' OPTIONNN do case...
true
46d85df526130ec407faee22a2afe72eebd4b302
Shell
thofisch/ssup
/init.sh
UTF-8
5,619
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash # # Run the MSSQL database migrations as well as seeding the database [[ -n "${DEBUG}" ]] && set -o xtrace readonly GREEN='\033[0;32m' readonly RESET='\033[0m' readonly SQLCMD="/opt/mssql-tools/bin/sqlcmd -S ${SERVER} -U sa -P ${SA_PASSWORD}" set -o nounset set -o errexit ###############################...
true
82b61717030c81f9b389e6f3a5d65896527e1712
Shell
nhulox97/bash_so
/tarea1/tarea1.sh
UTF-8
13,129
4.4375
4
[]
no_license
#!/bin/bash current_dir=`pwd` function show_menu() { echo '--------------Menu--------------' echo '(1). Crear un directorio' echo '(2). Crear un archivo' echo '(3). Brindar permisos' echo '(4). Listar directorios' echo '(5). Comprimir archivos de un directorio' echo '(6). Salir' } functio...
true
7f00c0e74648d1a85994561e92d21e1b8f5ac0db
Shell
Zivosh/PiTrader
/install.sh
UTF-8
575
2.515625
3
[]
no_license
#!/bin/bash clear echo "=======================================" echo "=======Installing requirements ========" echo "=======================================" read -r "This script will install all the necessary modules etc on your Pi so you can run the bot" sudo apt-get install libatlas-base-dev pip3 install -U ur...
true
7b976d225783b7e6de2d2aed8fc546306feb57b5
Shell
KhalidCK/metro-paris
/tools/scripts/download_ratp.sh
UTF-8
288
2.625
3
[]
no_license
#!/bin/bash output='data/raw' mkdir -p $output echo 'Download data from ratp website' wget -O $output/ratp-trafic-2016.json 'https://data.ratp.fr/explore/dataset/trafic-annuel-entrant-par-station-du-reseau-ferre-2016/download/?format=json&refine.reseau=M%C3%A9tro&timezone=Europe/Berlin'
true
4a4e3bd543eb47fbc08e88244b1ff320a339e10f
Shell
ayazhafiz/hmcd
/.zsh_etc/yarn.zsh
UTF-8
554
2.921875
3
[]
no_license
# Handles Yarn environment configuration. # This file is governed under no license. # # Author: @ayazhafiz # Source: https://github.com/ayazhafiz/hmcd source "$ZSH_ETC/status_msg.zsh" export PATH="$HOME/.yarn/bin:$PATH" export PATH="$HOME/.config/yarn/global/node_modules/.bin:$PATH" # yvm configuration # https:...
true
14d1c270ecae6cdd4db4b9c50cff68470d858b91
Shell
tuxjdk/tuxjdk
/cloneCheckoutPackTuxjdk.sh
UTF-8
990
4.25
4
[]
no_license
#!/bin/bash readonly TAG="$1" readonly GIT="$( which git 2>/dev/null )" readonly TAR="$( which tar 2>/dev/null )" if [[ -n "$2" ]] ; then readonly UPSTREAM="$2" else readonly UPSTREAM='https://github.com/tuxjdk/tuxjdk.git' fi if [[ -z $TAG ]] ; then readonly NAME='tuxjdk' else readonly NAME="tuxjdk-$TAG" fi ...
true
efe39b69045ab447872b8320b5175225103b595a
Shell
saserr/Dotfiles
/lib/value/empty.bash
UTF-8
116
3.21875
3
[]
no_license
import 'arguments::expect' value::empty() { arguments::expect $# 'value' local value=$1 [[ ! "$value" ]] }
true
27baa310047adff52d070225edd1191c88428e20
Shell
Mewbi/LazyMoon
/Repositorio/relatorio.sh
UTF-8
2,655
3.484375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash #---------------------------------------Libraries source $HOME/LM-relatorio/config.txt path="${user}@${ip}:${dir}" #------------------------------------------------ #-----------------Hardware & Software Information distro=$(uname -a | cut -d\ -f 2) kernelName=$(uname -s) hardwareArchiteture=$(una...
true
d37bc0c6106d02310fa8121a2e9d6a28fc2464f9
Shell
erlong15/mongo_k8s_deploy
/new-mongodb.sh
UTF-8
1,221
3.03125
3
[]
no_license
#!/bin/bash export LANG=C export LC_CTYPE=C export EPASS=$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 32 | head -n 1) export ECOLLECTION=EXNESS_$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 4 | head -n 1) helm repo add bitnami https://charts.bitnami.com/bitnami envsubst < values.yaml | helm install --wait -...
true
c55889048e4c13f58002e6087d8efbeae3a80eac
Shell
tolysz/ghcjs-stack
/special/cabal-next/cabal-install/tests/IntegrationTests/exec/should_run/configures_cabal_to_use_sandbox.sh
UTF-8
442
3.078125
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
. ../common.sh cabal sandbox delete > /dev/null cabal exec my-executable && die "Unexpectedly found executable" cabal sandbox init > /dev/null cabal install > /dev/null # The library should not be available outside the sandbox "$GHC_PKG" list | grep -v "my-0.1" # When run inside 'cabal-exec' the 'sandbox hc-pkg lis...
true
83ba8476934c6b4f53ddecea239bb87182d4a6e1
Shell
MathiasStadler/markup-mermaid-inline
/inline_mermaid.sh
UTF-8
18,630
3.953125
4
[ "MIT" ]
permissive
#!/bin/bash set -o posix -o errexit # from here # https://askubuntu.com/questions/509795/how-to-write-a-portable-shell-script-with-error-handl #set MARKDOWN_BLOCK_RUNNING to true colour readonly local COLOUR_DEFAULT='\033[0;m' readonly local COLOUR_RED='\033[0;31m' readonly local COLOUR_GREEN='\033[0;32m' readonly loc...
true
c89b13dbf3ccd757546afd240e93fa395632e677
Shell
jayfurmanek/libvorbis-feedstock
/recipe/build.sh
UTF-8
191
2.671875
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash if [ `uname` == Darwin ]; then export LDFLAGS="${LDFLAGS} -Wl,-rpath,$PREFIX/lib" fi ./configure --prefix=${PREFIX} --disable-dependency-tracking make make check make install
true
39d90e707789817e11d2d7ef82d13c0c3757f90a
Shell
AaronZhangL/REST_API_Flask
/scritpTools/curl_post_json.sh
UTF-8
607
3.796875
4
[]
no_license
#!/bin/sh # Usage: xxxxxx.sh url times json # # Arguments: # url # times # json it MUST be surrounded single-quartations # # Example # sh xxxxxx.sh http://localhost:8080/webapi/user/XXXXX 10 '{"token":"xxxxx","version":"1.3"}' # URL=$1 TIMES=$2 JSON=$3 if [ -z "$URL" ]; then echo "n...
true
709be0a0202e0d588447630bf16dd79e9d604207
Shell
petronny/aur3-mirror
/mp3plot/PKGBUILD
UTF-8
561
2.578125
3
[]
no_license
# Contributor: Christoph Zeiler <archNOSPAM_at_moonblade.dot.org> pkgname=mp3plot pkgver=0.5.1 pkgrel=1 pkgdesc="Creates a textual or graphical plot of an MP3 file's bitrate distribution" arch=('i686' 'x86_64') url="http://p.outlyer.net/$pkgname/" license=('GPL') depends=('boost>=1.34.1' 'gd' 'imagemagick') makedepend...
true
f494075ac0fff6eff6665295bd464a54e0ab9074
Shell
dgou/dot-files
/zprofile
UTF-8
61
2.671875
3
[]
no_license
for f in ~/.env_setup do test -s "$f" && source "$f" done
true
0daf7ea44f6182e782d54cf2f59aff7275193c66
Shell
mrasif/Unix-Shell-Script
/Advanced/concatenate.sh
UTF-8
145
3.140625
3
[]
no_license
#!/bin/bash echo -n "Enter String 1: " read str1 echo -n "Enter String 2: " read str2 str=$str1$str2 echo "String is $str and Length is ${#str}"
true
81ac9d884de645e4e2a5b6dc24c3a10828d474b9
Shell
A1Gard/gitea
/snap/helpers/configuration.sh
UTF-8
3,277
3.71875
4
[ "MIT" ]
permissive
#!/bin/bash if snapctl get gitea.snap.custom; then cdir=$(snapctl get gitea.snap.custom) else cdir=$SNAP_COMMON fi cfg="$cdir/conf/app.ini" bak="$cdir/conf/app.ini.bak-$(date -Ins)" basecfg="$SNAP/snap/helpers/app.ini" smp="$SNAP/gitea/custom/conf/app.ini.sample" function toSnap() { OIFS=$IFS IFS=' ' category="...
true
f7a5438af17ed0107fcd185aaf2794a39a4b804c
Shell
01alchemist/django_oracle
/docker/build.sh
UTF-8
284
3.046875
3
[]
no_license
#!/usr/bin/env bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" declare -i build build=$(< $DIR/.build) build=build+1 echo "Build:1."${build} docker build -t tutum.co/skr64/CoFoot:1.${build} . docker build -t tutum.co/skr64/CoFoot:latest . echo ${build} > $DIR/.build
true
cedc4455f5ef07e82aacbd3a61bb622b90572142
Shell
masayukist/sad_scripts
/include/nextid.sh
UTF-8
153
2.515625
3
[]
no_license
#!/bin/sh . ./config.sh MAX_ID=`./include/ldapsearch_head.sh uidNumber | grep ^uidNumber | awk '{if(m<$2) m=$2} END{print m}'` echo `expr $MAX_ID + 1`
true
cfbcb35d07cf9a8aa358ea5ed964631706f879b0
Shell
EBohte/DAS-4_IPFS_and_Swarm_scripts
/IPFS/multi_download.sh
UTF-8
2,761
3.75
4
[]
no_license
#!/bin/bash NODE_ID_DIR="/var/scratch/ebohte/node_id/temp" HASH_DIR="/var/scratch/ebohte/hash/" OUTPUT_DIR="/home/ebohte/output/" echo "start id ${1}" export IPFS_PATH=/var/scratch/ebohte/.ipfs"${1}" #1 NODE_ID /home/ebohte/ipfs/ipfs init /home/ebohte/ipfs/ipfs bootstrap rm --all /home/ebohte/ipfs/ipfs config Addr...
true
d081f58ae21743283bed9dff77c61ce81f78c4dc
Shell
sranjanagi/Unit-Operation-Reaction-Engg.-Process-Control
/scripts/initialize.sh
UTF-8
1,001
3.828125
4
[]
no_license
#!/bin/bash # initialize script for Computer Programming Lab # initialize script creates the initial environment for the Computer Programming # Lab by installing the server side dependencies for the lab and invokes the build script. # Mention all the server-side dependencies of the lab in # dependencies.txt #...
true
66e8803322a1c71e8fe136a831ce678916e17240
Shell
IRSN/SalinoPhD
/Drakkar/data/Tihange.save
UTF-8
1,014
3.875
4
[]
no_license
#!/bin/bash savename=$(basename $0 | cut -d"." -f1) if [ $# = 0 ] then echo "usage: "$savename".save directory" 1>&2 exit 1 fi echo -e "\nExecute ${savename}.save script\n" MACH=`uname -s` Sysx="`echo $MACH | cut -b -6`" if [ $Sysx = "CYGWIN" ]; then MACH=`uname -o` elif [ $Sysx = "AIX" ]; then MACH=`una...
true
985b082cb288b1073b99ae513df521ad73dbae87
Shell
merttoka/simpleraytracer
/run.sh
UTF-8
411
3.03125
3
[]
no_license
#!/bin/bash #Run this in terminal if [ ! -d build ]; then mkdir -p build; fi g++ tinyxml/tinyxml.cpp tinyxml/tinystr.cpp tinyxml/tinyxmlparser.cpp tinyxml/tinyxmlerror.cpp Timing/ctimer.cpp Matrix3x3.cpp Vector3D.cpp main.cpp -o build/raytracer.exe cd build if [ ! $1 ]; then echo "WARNING: No filename provided,...
true